// creator  : weidu.exe (version 23600)
// argument : FRIEND.DLG
// game     : .
// source   : ./override/FRIEND.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~FRIEND~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7945 /* ~Welcome to the Friendly Arm. I trust you know the rules of conduct within?~ */
  IF ~  ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN REPLY #7952 /* ~There are rules? What kind of rules?~ */ GOTO 1
  IF ~  ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN REPLY #7953 /* ~There are rules? What kind of rules?~ */ GOTO 2
  IF ~~ THEN REPLY #7954 /* ~I know which rules suit me, and which ones don't. I will follow those that suit the situation.~ */ GOTO 3
  IF ~  ReactionGT(LastTalkedToBy(Myself),HOSTILE_UPPER)
~ THEN REPLY #7955 /* ~Certainly. Common sense rules the day within the Friendly Arm.~ */ GOTO 4
  IF ~  ReactionLT(LastTalkedToBy(Myself),NEUTRAL_LOWER)
~ THEN REPLY #7956 /* ~Certainly. Common sense rules the day within the Friendly Arm.~ */ GOTO 5
  IF ~Global("X#ImoenFAIGuard","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ImoenFAIGuard","GLOBAL",1)~ EXTERN ~IMOEN2~ 143
END

IF ~~ THEN BEGIN 1 // from: 0.0 IMOEN2:143.0
  SAY #7946 /* ~Perhaps "rules" is a touch too formal. It is unwritten, but accepted, that while herein you will act with the utmost of civility to all other guests. This is neutral ground, and all grievances are left at the gates. If the grievances come in, then you will go out. Enjoy your stay.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1 IMOEN2:143.1
  SAY #7947 /* ~Constraining as they are to a person of your... ilk, there are rules of conduct within the Arm. It is neutral ground first and foremost. Everyone is welcome so long as quarrels are left at the gates. If they are not, then YOU will be. Welcome, and behave yourself.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2 IMOEN2:143.2
  SAY #7948 /* ~You will follow the rules that everyone must! Best you remember that. The Arm is neutral ground first and foremost. Beyond that, there is no fighting permitted. If you ignore this, whether you win or lose, you will be ejected. Am I clear? Good. Enjoy your stay. Don't make me shorten it.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3 IMOEN2:143.3
  SAY #7949 /* ~Good then. Enjoy your stay.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.4 IMOEN2:143.4
  SAY #7950 /* ~I don't care much for your tone. Best you make sure that your common sense is every bit as common as everyone else's is.~ */
  IF ~~ THEN EXIT
END

IF ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #7957 /* ~All I can tell you is that the roads from here to Baldur's Gate are not as safe as they used to be. Bandits pounce on the unwary, so keep a mind to be on watch on your travels.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #9019 /* ~You've made no friends here! Move along!~ */
  IF ~~ THEN EXIT
END

IF ~  True()
~ THEN BEGIN 8 // from:
  SAY #10059 /* ~Move along, no distracting us from our posts.~ */
  IF ~~ THEN EXIT
END
